I used a some sample video for applying these two function rotating and graying after that the video is saved in the same folder in which the code file is saved. First we need a IDE and in this i use pycharm you can easily download it from web and it's free. After that you need to download python from python official site. you need to put the location of your python file. Now your environment is all setup  do for working on this problem given we need a python inbuid library called opencv you need to instll it from the terminal by typing pip install opencv. Now you are all good to go. For working with videos we used the function named cv2.VideoCapture. For videos and excess webcam also. After that you will read it frame by frame. For rotating we need a function called cv2.rotate which require two parameter one is the frame and other is the direction of rotation. We use cvv2.cvtcolor function for converting it into gray we need to specify about color by typing cv2.color_bgr2gray as one of the parameter. At last we used cv2.VideoWriter for saving our processed video.
